Lists the comments in a case, oldest first by default. On a case shared with opposing counsel, each side sees only its own side's comments.
Query parameters
-
Default value is
1. -
Default value is
10. -
If skip/limit not provided, page/perPage will take precedence
-
If skip/limit not provided, page/perPage will take precedence
-
Values are
ascordesc. Default value isasc. -
Values are
DeviceMessage,DeviceConversation,UserEmailData,FinancialAccount,CaseFile,UserEmailDataThread,LinkedInConversation,LinkedInJobApplication, orAiChatConversation. -
Required if endMessageIndex is provided
-
Required if startMessageIndex is provided
GET
/comments/case/{caseId}
curl \
--request GET 'http://api.example.com/comments/case/{caseId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "organization: string"
Response examples (200)
{
"data": {
"total": 42,
"page": 1,
"perPage": 20,
"skip": 0,
"limit": 20,
"totalPages": 3,
"nextPage": 2,
"previousPage": 42.0,
"data": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"text": "Relevant to the timeline",
"source": "507f1f77bcf86cd799439011",
"sourceType": "DeviceMessage",
"deviceMessage": "507f1f77bcf86cd799439011",
"user": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"phone": [
"+15555550100"
],
"isActive": true,
"isEmailVerified": true,
"lastActive": "2026-01-15T14:30:00.000Z",
"roles": [
"user"
],
"avatar": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"onboardingStatus": "completed",
"userType": "attorney",
"firstName": "Jane",
"lastName": "Doe",
"initials": "JD",
"userOrganizations": [
{}
]
},
"parent": "507f1f77bcf86cd799439011",
"replyCount": 0
}
]
},
"statusCode": 200,
"timestamp": "2026-01-15T10:15:00.000Z"
}